#
# spec file for package python-rply
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-rply
Version:        0.7.5
Release:        lp151.2.2
Summary:        A pure Python Lex/Yacc that works with RPython
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/alex/rply
Source:         https://files.pythonhosted.org/packages/source/r/rply/rply-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module appdirs}
%endif
BuildRequires:  fdupes
Requires:       python-appdirs
BuildArch:      noarch

%python_subpackages

%description
RPLY is a pure Python parser generator that also works with RPython.
It is a more-or-less direct port of David Beazley's PLY, with a new
public API, and with RPython support.

%prep
%setup -q -n rply-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Mon Sep 11 2017 jengelh@inai.de
- Repair package description grammar.
* Thu Sep  7 2017 toddrme2178@gmail.com
- initial version
